% ex01x07.m
% function creates and plots a random walk
clear all

flag = 1;
while flag
  A = zeros(20,20);         	% declare grid of dimension 20x20 
                              % (initialized with zeroes)

  x = 10; y = 10;         	  % define start cell
  A(x,y) = 1;                 % mark start cell with '1'
 
  seed = input('Enter a seed (integer): '); 
                              % to produce a different sequence,  
  rand('state',seed);	      % invoke rand with different 'seeds'


  for i=1:9
  ...                         % pick randomly a direction
                              % east, north, west, south
    A(x,y)= 1;		          % mark new block

  end
  spy(A);

  reply = input('Do you want more? Y/N [Y]: ','s');
  if reply =='n' | reply == 'N'
    flag = 0;
  end
end
